# Types Types ## Gets all of the types in the system. - [GET /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/types/listtypes.md): This method will scan all types and and return them to the caller. ## Creates a new type record that does not already exist. - [POST /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/types/createtype.md): This method will auto-generate an ID and create a new type. If an ID is specified for the type, an error will be thrown. ## Execute Batch Operations - [POST /types/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a type from the system by its ID. - [DELETE /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/types/deletetype.md): This method will delete a type with the specified ID. ## Returns a type from the system by its ID. - [GET /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/types/gettype.md): This method will look up a type by the specified ID and return it back. ## Partially updates a type with the specified ID. - [PATCH /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/types/patchtype.md): This method will patch an existing type with the specified ID, using the HTTP PATCH specification. ## Updates a type with the specified ID. - [PUT /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/types/updatetype.md): This method will update an existing type with the specified ID.